## com.vividsolutions.jts.operation.buffer.validate
Class BufferDistanceValidator

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferDistanceValidator

public class BufferDistanceValidator
extends java.lang.Object

Validates that a given buffer curve lies an appropriate distance from the input generating it.

Author:
  mbdavis

Constructor Summary
`BufferDistanceValidator(Geometry input, double distance, Geometry result)`

Method Summary
`Coordinate` `getErrorLocation()`
`boolean` `isValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferDistanceValidator

    public BufferDistanceValidator(Geometry input,
                                   double distance,
                                   Geometry result)

Method Detail

### isValid

    public boolean isValid()

### getErrorLocation

    public Coordinate getErrorLocation()